#!/bin/sh
################################### Config ##################################################
EDG_ZIP=/home/mlinhard/dev/projects/edg6/builds/edg6-SNAPSHOT-ispn-5.1.0-SNAPSHOT-as7.0.1.Final-110907-1515.zip
EDG_FOLDER_NAME=enterprise-datagrid-6.0.0-SNAPSHOT
EDG_CONFIG_DIR=/home/mlinhard/dev/projects/resilience/servers
EDG_CONFIG="config"

SERVER_INDEXES="1 2 3 4"
SERVER_PREFIX="server"
HOSTNAME_PREFIX="test"

#############################################################################################
FIRST_INDEX=`echo $SERVER_INDEXES | cut -f 1 -d" " `
FIRST_SERVER="${SERVER_PREFIX}${FIRST_INDEX}"

for sidx in $SERVER_INDEXES; do
   server="${SERVER_PREFIX}${sidx}"
   echo "deleting $server ..."
   rm -rf $server
done

unzip $EDG_ZIP

for sidx in $SERVER_INDEXES; do
   server="${SERVER_PREFIX}${sidx}"
   echo "creating $server ..."
   if [ $server == $FIRST_SERVER ]; then
      mv $EDG_FOLDER_NAME $FIRST_SERVER
   else
      cp -r $FIRST_SERVER $server
   fi
done

for sidx in $SERVER_INDEXES; do
   server="${SERVER_PREFIX}${sidx}"
   HOSTNAME="${HOSTNAME_PREFIX}${sidx}"
   echo "configuring $server ..."
   rsync -aC $EDG_CONFIG_DIR/$EDG_CONFIG/* $server
   file=$server/standalone/configuration/standalone.xml
   sed "s/value=\"127.0.0.1\"/value=\"${HOSTNAME}\"/" -i $file
done
